Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jaxen.expr
Class PredicateSet

    java.lang.Object
      org.jaxen.expr.PredicateSet

All Implemented Interfaces:
  Serializable

public class PredicateSet
extends Object
implements Serializable

See Also:
  Serialized Form

Constructor Summary
`PredicateSet()`

Method Summary
`void` | `addPredicate(Predicate predicate)`
`List` | `applyPredicate(Predicate predicate, List nodes2Filter, ContextSupport support)`
`protected boolean` | `evaluateAsBoolean(List contextNodeSet, ContextSupport support)`
`protected List` | `evaluatePredicates(List contextNodeSet, ContextSupport support)`
`List` | `getPredicates()`
`String` | `getText()`
`void` | `simplify()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PredicateSet

    public PredicateSet()

Method Detail

### addPredicate

    public void addPredicate(Predicate predicate)

### getPredicates

    public List getPredicates()

### simplify

    public void simplify()

### getText

    public String getText()

### evaluateAsBoolean

    protected boolean evaluateAsBoolean(List contextNodeSet,
                                        ContextSupport support)
                                 throws JaxenException

  Throws:
    `JaxenException`

### evaluatePredicates

    protected List evaluatePredicates(List contextNodeSet,
                                      ContextSupport support)
                               throws JaxenException

  Throws:
    `JaxenException`

### applyPredicate

    public List applyPredicate(Predicate predicate,
                               List nodes2Filter,
                               ContextSupport support)
                        throws JaxenException

  Throws:
    `JaxenException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 Codehaus. All Rights Reserved.